Issue 58161

Summary: Mouse position handling is inconsistent - selection concept
Product: General Reporter: joachimdurchholz <jo>
Component: chartAssignee: kla <thomas.klarhoefer>
Status: CLOSED FIXED QA Contact: issues@graphics <issues>
Severity: Trivial    
Priority: P3 CC: IngridvdM, issues, tony.galmiche.ooo
Version: 3.3.0 or older (OOo)Keywords: oooqa, rfe_eval_ok, usability
Target Milestone: ---   
Hardware: PC   
OS: Windows 2000   
URL: http://specs.openoffice.org/chart/ChartSelectionHandling.odt
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
tcs for selection handling none

Description joachimdurchholz 2005-11-19 14:57:29 UTC
The mouse position often translates to the wrong chart component.
Which chart component exactly, seems to depend on:
a) the mouse operation in question: hovering, left-clicking, right-clicking,
double-clicking (not sure about dragging)
b) the selection state (i.e. which component was selected),
c) the chart state (i.e. whether it's been "opened" via a double click or not).

This behavior is most confusing, hence the P2 marker.

E.g. any point on a label of the X axis will give me these reactions:
* Hovering will give me a tooltip that says "X axis".
* Right-clicking will pop up a context menu of whatever subcomponent is
currently selected (I'd have expected that it will select the X axis and pop up
its context menu).
* Left-clicking will deselect whatever is selected right now (I'd have expected
it to select the X axis).
* Double-clicking will deselect whatever is selected right now (I'd have
expected it to open up the properties dialog of the X axis).

E.g. when hovering over a point outside any component, I get a tooltip of
"Diagrammfläche" ("diagram area"), and:
* If nothing is selected, left-clicking will select "Diagramm" ("chart", i.e.
the middle area with the axes and the graphics);
* if the middle area is selected, left-clicking will select "Diagrammfläche"
("chart area", i.e. the entire area of the Chart control).

I'm pretty sure that numerous other "strange results" can be produced. The
selection behaviour of Chart is simply a mess, AFAICT.
IMHO, it should go along the following lines:
1) Every point of Chart should be "owned" by a subcomponent.
2) Hovering over a point should display the tooltip that belongs to the owning
subcomponent.
3) Clicking (left, right, or double) should first select that component, then do
the Right Thing for the kind of click (select for left-click, display context
menu for right-click, open (with a subcomponent-specific definition of "open")
for double click).
Comment 1 kla 2005-11-21 09:49:48 UTC
Hi Iha,
for me sounds like an double to i20331 and i20343 (Q-PCDs). If you think so, pls
close this issue as duplicate, otherwise it's yours (or BH).
kla
Comment 2 IngridvdM 2005-11-24 16:33:08 UTC
This issue is no duplicate of 20343.
This issue is a part of Issue 20331. But as handling of multiple tasks in one
issue is much more complicated and as this task has a much more precise
description I will keep this issue for the subtask and place a node in Issue 20331.
Comment 3 IngridvdM 2005-11-24 16:42:49 UTC
added ' - selection concept' to title for better searching
Comment 4 IngridvdM 2006-03-17 16:07:11 UTC
changed prio
Comment 5 bjoern.milcke 2006-06-23 14:04:41 UTC
Changed Target to 2.x
Comment 6 IngridvdM 2007-01-18 11:55:27 UTC
changed target to 2.3
Comment 7 IngridvdM 2007-03-07 17:04:36 UTC
Fixed in CWS chart2mst3:
It is still necessary to double click the chart for activation, but then:

A single click on the axis labels does select the axis in all cases.
A double click on any object opens the properties dialog (provided that the
object does offer a property dialog)
When double clicking on the 'chart' you get the properties dialog of the chart
wall for convenience.


Comment 8 IngridvdM 2007-03-07 17:32:50 UTC
->Thomas, please verify.
Comment 9 IngridvdM 2007-03-13 11:22:17 UTC
For more details see the specification:
http://specs.openoffice.org/chart/ChartSelectionHandling.odt
Comment 10 kla 2007-05-09 11:36:09 UTC
Created attachment 44968 [details]
tcs for selection handling
Comment 11 kla 2007-05-09 15:24:25 UTC
verified
Comment 12 ace_dent 2008-05-16 03:30:39 UTC
This Issue is 'Verified' and not updated in 1yr+, so Closing.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
Comment 13 joachimdurchholz 2008-05-16 12:36:19 UTC
Confirmed: I can't reproduce the bug in 2.3 anymore.